Bug 147785 - kernel panic when pluggin pcmcia CBT100C card ( Conceptronics pcmcia bluetooth adapter )
kernel panic when pluggin pcmcia CBT100C card ( Conceptronics pcmcia bluetoot...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-02-11 04:45 EST by David Ballester
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:18:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Ballester 2005-02-11 04:45:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
In runlevel 5, when the pcmcia plug is detected and driver loaded, the
computer freezes. Tailing /var/log/messages I can see bluetooth
configuration loaded but hangs inmediately.
In runlevel 3, with the pcmcia adapter plugged from start, I get a
kernel panic with this messages, when system is loading eth0 device:
"kernel panic - not syncing: drivers/serial/serial-core.c:475:
spin-lock ( drivers/serial/serial-core.c:c040f3c0) already locked by
drive rs/serial/8250.c/1170"

Before this, pcmcia was not loading the correct driver for my CBT100C,
and manually added info to /etc/pcmcia/bluetooth.conf in this way:

>>card "Conceptronic CBT100C Bluetooth"
	  version "PCMCIA", "Bluetooth Card", "", ""
	  manfid 0x0279, 0x950b
	  bind "serial_cs" class "bluetooth"

Replaced a line in /etc/pcmcia/bluetooth too:


>>/usr/sbin/hciattach /dev/$DEVICE $MANFID


>>sleep 5 ; /usr/sbin/hciattach /dev/$DEVICE bcsp

This changes runs well for previous kernel 2.6.9-1.667, then I that
this changes are not the source of hang

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Change pcmcia config to detect and load correct drivers for CBT100C
2. Reboot computer or reload pcmcia
3.Plug CBT100C pcmcia card

Actual Results:  When plugin pcmcia CBT100C system freezes if it's
running. if it's booting, seems to load correctly pcmcia but gives a
kernel panic when trying to load eth device

Expected Results:  When plugin CBT100C must be able to use bluetooth

Additional info:

Computer it's a Dell D800, but as I said before, with previous kernel
CBT100C runs ok. Seems to be something related to only
Comment 1 Dave Jones 2005-07-15 15:37:26 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:18:59 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.